package org.example.saxonbug;

import java.io.InputStream;

import javax.xml.xquery.XQConnection;
import javax.xml.xquery.XQConstants;
import javax.xml.xquery.XQDataSource;
import javax.xml.xquery.XQPreparedExpression;
import javax.xml.xquery.XQResultSequence;

import com.saxonica.xqj.SaxonXQDataSource;

public class Main {

    public static void main(String[] args) throws Exception {
        XQDataSource dataSource = new SaxonXQDataSource();
        XQConnection connection = dataSource.getConnection();
        try (InputStream query = Main.class.getResourceAsStream("query.xq");
                InputStream input = Main.class.getResourceAsStream("input.atom")) {
            XQPreparedExpression expression = connection.prepareExpression(query);
            expression.bindDocument(XQConstants.CONTEXT_ITEM, input, null, null);
            XQResultSequence results = expression.executeQuery();
            results.writeSequence(System.out, null);
            results.close();
        }
    }
}
